| API URL | https://hacklike17.com/api/v2 |
| HTTP Method | POST |
| API Key | API Key (Tab 1) |
| Content-Type | application/x-www-form-urlencoded |
| Response | JSON |
| Postman | https://documenter.getpostman.com/view/7443180/2sAY55bygj |
| Mô tả |
API V2 chuẩn như hầu hết các API SMM quốc tế, trả code
200
cho cả lỗi và thành công Nếu có lỗi thì trong json sẽ có key error Response code sẽ không nằm trong body Tham số locale là tuỳ chọn, sẽ quyết định ngôn ngữ khi trả lỗi (Mặc định là en - Tiếng Anh) |
| Tham số | Mô tả |
| key | API Key |
| action | "services" |
| locale | "en" hoặc "vi" |
| platform | (Tuỳ chọn): Truyền nếu lọc theo nền tảng, vd: Facebook |
[
{
"service": 55,
"name": "Member group",
"type": "Default",
"sub_name": "buff_group",
"category": "buff_group",
"description": "Member beta, Vietnamese [10k-20k/ 24 hours.] ",
"rate": "1",
"min": 200,
"max": 3000000,
"refill": false, Có cho phép bảo hành hay không
"refill_days": 0, Thời gian cho phép bảo hành từ khi đơn hoàn thành
"cancel": true, Có cho phép huỷ đơn hay không
"currency": "USD",
"data": {
}
},
{
"service": 63,
"name": "Like Speed",
"sub_name": "share",
"type": "s_like",
"category": "Like",
"description": "Like Vietnamese",
"rate": "1",
"min": 10,
"max": 50000,
"refill": false,
"refill_days": 0,
"cancel": true,
"currency": "USD",
"data": {
"allow_reaction": true, Có thể chọn cảm xúc tuỳ chọn qua field reaction hay không
"allow_multi_reaction": false, Cho phép chọn nhiều cảm xúc hay không
"reactions": ["like", "love", "wow", "haha"] Các cảm xúc server này chạy được. Không có trường này nghĩa là không giới hạn
}
},
{
"service": 523,
"name": "Vip Like V10",
"sub_name": "vip_like_v10",
"type": "Default",
"category": "VIP Like Theo Tháng",
"description": "- Thời gian chạy từ 7h-23h. Tùy chọn số bài theo khách hàng.",
"rate": 87.5,
"min": 50,
"max": 1000,
"currency": "USD",
"platform": "Facebook",
"is_vip": true,
"data": {
"has_custom_post": true, có thể chọn số bài sẽ lên mỗi ngày hay không
"post_price_ratio": 5 tỉ giá giữa số bài và số tiền. Ví dụ 5 thì 5 post giá x1, 10 post giá x2. 1 thì 1 post giá x1, 2 post giá x2
}
}
]
| Tham số | Mô tả |
| key | API Key |
| action | "add" |
| locale | "en" hoặc "vi" |
| service | Service ID |
| link | Link profile/post (Với dịch vụ Fb profile cần gửi link có uid dạng số như https://www.facebook.com/123) |
| quantity | Số lượng cần mua |
{
"order": 673925,
"original": 69,
"quantity": 100
}
{
"error": "Insufficient account balance"
}
| Tham số | Mô tả |
| key | API Key |
| action | "status" |
| locale | "en" hoặc "vi" |
| order | Order IDs nối bằng , |
{
"charge": "0.05833",
"status": "Refunded",
"start_count": 0,
"remains": 100,
"currency": "USD"
}
{
"672792": {
"charge": "0.05833",
"status": "Refunded",
"start_count": 0,
"remains": 100,
"currency": "USD"
},
"672796": {
"charge": "0.09583",
"status": "Processing",
"start_count": 69,
"remains": 100,
"currency": "USD"
},
}
{
"672792": {
"error": "Order not found"
}
}
Status: Processing, In progress, Completed, Canceled, Refunded, Waiting Cancel, Pending
| Tham số | Mô tả |
| key | API Key |
| action | "refill" |
| locale | "en" or "vi" |
| order | Order ID |
{
"success": true,
"updated_order_id": "123",
"update_obj": {
"status": "In Progress"
}
}
{
"error": "Order not found"
}
| Tham số | Mô tả |
| key | API Key |
| action | "cancel" |
| locale | "en" or "vi" |
| order | Order ID |
{
"success": true,
"message": "Operation successful",
"refund_count": 100,
"status": "Refunded"
}
{
"error": "Order not found"
}
| Tham số | Mô tả |
| key | API Key |
| action | "balance" |
| locale | "en" or "vi" |
{
"balance": "863.17804",
"currency": "USD"
}
{
"error": "Invalid key"
}
| Tham số | Mô tả |
| key | API Key |
| action | "add_vip" |
| service | Service ID (dòng có is_vip = true trong "services") |
| link | Link Profile chạy VIP |
| quantity | Số lượng muốn mua |
| days | Số ngày muốn mua: 30, 60, 90, 120, 180 |
| max_post | Số bài tối đa mỗi ngày (truyền khi giá có data.has_custom_post = true) |
{
"order": 12345
}
{
"error": "Vui lòng mua tối thiểu 50"
}
| Tham số | Mô tả |
| key | API Key |
| action | "update_vip" |
| order | Order ID |
| comments | Nội dung bình luận |
| note | Ghi chú |
{
"success": true
}
{
"error": "Không tìm thấy đơn hàng này*",
"code": 400
}
| Tham số | Mô tả |
| key | API Key |
| action | "extend_vip" |
| order | Order ID |
| days | Số ngày muốn gia hạn |
{
"success": true
}
{
"error": "Không tìm thấy đơn hàng này*",
"code": 400
}
| Tham số | Mô tả |
| key | API Key |
| action | "add_post_vip" |
| order | Order ID |
| link | Link bài viết |
{
"success": true
}
{
"error": "Bài viết này đã tồn tại trong hệ thống*",
"code": 400
}
| Tham số | Mô tả |
| key | API Key |
| action | "refund_vip" |
| order | Order ID |
{
"success": true,
"refund": 191666,
"days_left": 23,
"subtract_days": 7
}
{
"error": "Đơn hàng không tồn tại*",
"code": 400
}
| Tham số | Mô tả |
| key | API Key |
| action | "list_vip" |
| orders | Danh sách Order ID, phân tách bằng dấu phẩy |
{
"success": true,
"data": [
{
"id": 106,
"uid": "uid_profile",
"type": "vip_love_tiktok",
"time_expired": "2025-10-17",
"server": null,
"status": 1,
"post_today": 0,
"max_post": 5,
"time": "2025-09-17T15:14:41.000Z",
"package": 100,
"duration": "30 ngày",
"quantity": 100
},
{
"id": 107,
"uid": "uid_profile2",
"type": "vip_love_tiktok",
"time_expired": "2025-10-18",
"server": null,
"status": 1,
"post_today": 0,
"max_post": 5,
"time": "2025-09-18T02:43:26.000Z",
"package": 100,
"duration": "30 ngày",
"quantity": 100
}
]
}
{
"error": "Dữ liệu không hợp lệ*",
"code": 400
}
| Tham số | Mô tả |
| key | API Key |
| action | "vip_log" |
| order | Order ID |
{
"success": true,
"posts": [
{
"post_id": "123",
"post_type": "post",
"time": "2025/09/18 10:47:32",
"status": 0,
"original": 69,
"present": null,
"note": "Bù đơn",
"status_text": "In progress"
}
]
}
{
"error": "Đơn hàng này đã bị hết hạn hoặc không tồn tại*",
"code": 400
}
| Tham số | Mô tả |
| key | API Key |
| action | "get_numeric_uid" |
| link | Link cần lấy UID |
{
"id": "100000000001",
"link": "https://www.facebook.com/100000000001",
"name": "Tên Khách Hàng",
"success": true
}
{
"error": "Không nhận dạng được link*",
"code": 400
}
| API URL | https://hacklike17.com/api/v3 |
| HTTP Method | POST |
| API Key | API Key (Tab 1) |
| Content-Type | application/x-www-form-urlencoded |
| Response | JSON |
| Postman | https://documenter.getpostman.com/view/7443180/2sAYkLmwZm |
| Mô tả |
API V3 dùng cho 1 số đầu nối API SMM tại Việt Nam Response code khi thành công là 200, khi thất bại sẽ khác 200, thường là 400: Lỗi chung, 401: Sai token. Khi request trả lỗi thì sẽ kèm code , và "status": "error" Response code được trả kèm trong body với field code (chỉ khi bị lỗi) Tham số locale là tuỳ chọn, sẽ quyết định ngôn ngữ khi trả lỗi (mặc định là vi - Tiếng Việt) Tham số gửi đi giống y hệt v2, chỉ khác body trả về trong các trường hợp lỗi, và ngôn ngữ mặc định |
| Tham số | Mô tả |
| key | API Key |
| action | "services" |
| locale | "en" hoặc "vi" |
| platform | (Tuỳ chọn): Truyền nếu lọc theo nền tảng, vd: Facebook |
[
{
"service": 55,
"name": "Member group",
"type": "Default",
"sub_name": "buff_group",
"category": "buff_group",
"description": "Member beta, Vietnamese [10k-20k/ 24 hours.] ",
"rate": "1",
"min": 200,
"max": 3000000,
"refill": false, Có cho phép bảo hành hay không
"refill_days": 0, Thời gian cho phép bảo hành từ khi đơn hoàn thành
"cancel": true, Có cho phép huỷ đơn hay không
"currency": "USD",
"data": {
}
},
{
"service": 63,
"name": "Like Speed",
"sub_name": "share",
"type": "s_like",
"category": "Like",
"description": "Like Vietnamese",
"rate": "1",
"min": 10,
"max": 50000,
"refill": false,
"refill_days": 0,
"cancel": true,
"currency": "USD",
"data": {
"allow_reaction": true, Có thể chọn cảm xúc tuỳ chọn qua field reaction hay không
"allow_multi_reaction": false, Cho phép chọn nhiều cảm xúc hay không
"reactions": ["like", "love", "wow", "haha"] Các cảm xúc server này chạy được. Không có trường này nghĩa là không giới hạn
}
},
{
"service": 523,
"name": "Vip Like V10",
"sub_name": "vip_like_v10",
"type": "Default",
"category": "VIP Like Theo Tháng",
"description": "- Thời gian chạy từ 7h-23h. Tùy chọn số bài theo khách hàng.",
"rate": 87.5,
"min": 50,
"max": 1000,
"currency": "USD",
"platform": "Facebook",
"is_vip": true,
"data": {
"has_custom_post": true, có thể chọn số bài sẽ lên mỗi ngày hay không
"post_price_ratio": 5 tỉ giá giữa số bài và số tiền. Ví dụ 5 thì 5 post giá x1, 10 post giá x2. 1 thì 1 post giá x1, 2 post giá x2
}
}
]
| Tham số | Mô tả |
| key | API Key |
| action | "add" |
| locale | "en" hoặc "vi" |
| service | Service ID |
| link | Link profile/post (Với dịch vụ Fb profile cần gửi link có uid dạng số như https://www.facebook.com/123) |
| quantity | Số lượng cần mua |
{
"order": 673925,
"original": 69,
"quantity": 100
}
{
"code": "400",
"status": "error",
"error": "Tài khoản không đủ tiền"
}
| Tham số | Mô tả |
| key | API Key |
| action | "status" |
| locale | "en" hoặc "vi" |
| order | Order IDs nối bằng , |
{
"charge": "0.05833",
"status": "Refunded",
"start_count": 0,
"remains": 100,
"currency": "VND"
}
{
"672792": {
"charge": "0.05833",
"status": "Refunded",
"start_count": 0,
"remains": 100,
"currency": "VND"
},
"672796": {
"charge": "0.09583",
"status": "Processing",
"start_count": 69,
"remains": 100,
"currency": "VND"
},
}
{
"code": "400",
"status": "error",
"error": "Không tìm thấy đơn hàng này"
}
Status: Processing, In progress, Completed, Canceled, Refunded, Waiting Cancel, Pending
| Tham số | Mô tả |
| key | API Key |
| action | "refill" |
| locale | "en" or "vi" |
| order | Order ID |
{
"success": true,
"updated_order_id": "123",
"update_obj": {
"status": "In Progress"
}
}
{
"code": 400,
"status": "error",
"error": "Không tìm thấy đơn hàng này"
}
| Tham số | Mô tả |
| key | API Key |
| action | "cancel" |
| locale | "en" or "vi" |
| order | Order ID |
{
"success": true,
"message": "Operation successful",
"refund_count": 100,
"status": "Refunded"
}
{
"code": 400,
"status": "error",
"error": "Không tìm thấy đơn hàng này"
}
| Tham số | Mô tả |
| key | API Key |
| action | "balance" |
| locale | "en" or "vi" |
{
"balance": "863.17804",
"currency": "USD"
}
{
"code": "400",
"status": "error",
"error": "Key không hợp lệ"
}
| Tham số | Mô tả |
| key | API Key |
| action | "add_vip" |
| service | Service ID (dòng có is_vip = true trong "services") |
| link | Link Profile chạy VIP |
| quantity | Số lượng muốn mua |
| days | Số ngày muốn mua: 30, 60, 90, 120, 180 |
| max_post | Số bài tối đa mỗi ngày (truyền khi giá có data.has_custom_post = true) |
{
"order": 12345
}
{
"code": 400,
"status": "error",
"error": "Vui lòng mua tối thiểu 50"
}
| Tham số | Mô tả |
| key | API Key |
| action | "update_vip" |
| order | Order ID |
| comments | Nội dung bình luận |
| note | Ghi chú |
{
"success": true
}
{
"code": 400,
"status": "error",
"error": "Không tìm thấy đơn hàng này*"
}
| Tham số | Mô tả |
| key | API Key |
| action | "extend_vip" |
| order | Order ID |
| days | Số ngày muốn gia hạn |
{
"success": true
}
{
"code": 400,
"status": "error",
"error": "Không tìm thấy đơn hàng này*"
}
| Tham số | Mô tả |
| key | API Key |
| action | "add_post_vip" |
| order | Order ID |
| link | Link bài viết |
{
"success": true
}
{
"code": 400,
"status": "error",
"error": "Bài viết này đã tồn tại trong hệ thống*"
}
| Tham số | Mô tả |
| key | API Key |
| action | "refund_vip" |
| order | Order ID |
{
"success": true,
"refund": 191666,
"days_left": 23,
"subtract_days": 7
}
{
"code": 400,
"status": "error",
"error": "Đơn hàng không tồn tại*"
}
| Tham số | Mô tả |
| key | API Key |
| action | "list_vip" |
| orders | Danh sách Order ID, phân tách bằng dấu phẩy |
{
"success": true,
"data": [
{
"id": 106,
"uid": "uid_profile",
"type": "vip_love_tiktok",
"time_expired": "2025-10-17",
"server": null,
"status": 1,
"post_today": 0,
"max_post": 5,
"time": "2025-09-17T15:14:41.000Z",
"package": 100,
"duration": "30 ngày",
"quantity": 100
},
{
"id": 107,
"uid": "uid_profile2",
"type": "vip_love_tiktok",
"time_expired": "2025-10-18",
"server": null,
"status": 1,
"post_today": 0,
"max_post": 5,
"time": "2025-09-18T02:43:26.000Z",
"package": 100,
"duration": "30 ngày",
"quantity": 100
}
]
}
{
"code": 400,
"status": "error",
"error": "Dữ liệu không hợp lệ*"
}
| Tham số | Mô tả |
| key | API Key |
| action | "vip_log" |
| order | Order ID |
{
"success": true,
"posts": [
{
"post_id": "123",
"post_type": "post",
"time": "2025/09/18 10:47:32",
"status": 0,
"original": 69,
"present": null,
"note": "Bù đơn",
"status_text": "In progress"
}
]
}
{
"code": 400,
"status": "error",
"error": "Đơn hàng này đã bị hết hạn hoặc không tồn tại*"
}
| Tham số | Mô tả |
| key | API Key |
| action | "get_numeric_uid" |
| link | Link cần lấy UID |
{
"id": "100000000001",
"link": "https://www.facebook.com/100000000001",
"name": "Tên Khách Hàng",
"success": true
}
{
"code": 400,
"status": "error",
"error": "Không nhận dạng được link*"
}